ocaml-pcre-7.0.2-9.mga4.i586.rpm


Advertisement

Description

ocaml-pcre - Perl compatibility regular expressions for OCaml

Distribution: Mageia 4.1
Repository: Mageia Core i586
Package name: ocaml-pcre
Package version: 7.0.2
Package release: 9.mga4
Package architecture: i586
Package type: rpm
Installed size: 438.63 KB
Download size: 126.76 KB
Official Mirror: distrib-coffee.ipsl.jussieu.fr
This OCaml-library interfaces the PCRE (Perl-compatibility regular expressions) library which is written in C. it can be used for matching regular expressions which are written in "PERL"-style. Searching for, replacing or splitting text should become much easier with this library.

Alternatives

Provides

  • dllpcre_stubs.so
  • ocaml-pcre == 7.0.2-9.mga4
  • ocaml-pcre(x86-32) == 7.0.2-9.mga4

Conflicts

  • ocaml-pcre-devel < 5.12.2

    Download

    Install Howto

    1. Enable Mageia Core repository on "Install and Remove Software"
    2. Update packages list:
      # urpmi.update -a
    3. Install ocaml-pcre rpm package:
      # urpmi ocaml-pcre

    Files

    • /usr/lib/ocaml/pcre/META
    • /usr/lib/ocaml/pcre/libpcre_stubs.a
    • /usr/lib/ocaml/pcre/pcre.a
    • /usr/lib/ocaml/pcre/pcre.cma
    • /usr/lib/ocaml/pcre/pcre.cmi
    • /usr/lib/ocaml/pcre/pcre.cmxs
    • /usr/lib/ocaml/stublibs/dllpcre_stubs.so
    • /usr/lib/ocaml/stublibs/dllpcre_stubs.so.owner
    • /usr/share/doc/ocaml-pcre/AUTHORS.txt
    • /usr/share/doc/ocaml-pcre/CHANGES.txt
    • /usr/share/doc/ocaml-pcre/COPYING.txt
    • /usr/share/doc/ocaml-pcre/README.md

    Changelog

    2013-10-19 - umeabot <umeabot> 7.0.2-9.mga4 + Revision: 533876 - Mageia 4 Mass Rebuild

    2013-09-07 - blue_prawn <blue_prawn> 7.0.2-8.mga4 + Revision: 475745 - rebuild for ocaml-4.01.0

    2013-01-13 - umeabot <umeabot> 7.0.2-7.mga3 + Revision: 361562 - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

    2012-12-01 - fwang <fwang> 7.0.2-6.mga3 + Revision: 323727 - rebuild for new pcre

    2012-10-17 - malo <malo> 7.0.2-5.mga3 + Revision: 307708 - rebuild for ocaml-4.0.1;

    2012-10-01 - blue_prawn <blue_prawn> 7.0.2-4.mga3 + Revision: 301406 - build requires ocaml-compiler - rebuild for ocaml-4.00.0 - rebuild for ocaml-4.00.0

    2012-09-29 - blue_prawn <blue_prawn> 7.0.2-2.mga3 + Revision: 300164 - new rpm group for ocaml

    2012-08-22 - blue_prawn <blue_prawn> 7.0.2-1.mga3 + Revision: 283027 - updated to last version 7.0.2 - spec clean-up

    2012-01-14 - malo <malo> 6.2.5-1.mga2 + Revision: 195978 - new version 6.2.5 - removed substitution on META (upstream is now correct)

    2011-12-10 - malo <malo> 6.2.3-2.mga2 + Revision: 180428 - missing Requires to pcre-devel

    Advertisement
    Advertisement